Categories:
  - Security
License: Apache-2.0
AuthorName: Yubico
AuthorWebSite: https://developers.yubico.com
WebSite: https://developers.yubico.com/yubioath-flutter
SourceCode: https://github.com/Yubico/yubioath-flutter
IssueTracker: https://github.com/Yubico/yubioath-flutter/issues

AutoName: Yubico Authenticator
Description: |-
    Store your unique credential on a hardware-backed security key and take it wherever
    you go from mobile to desktop. No more storing sensitive secrets on your mobile
    phone, leaving your account vulnerable to takeovers. With the Yubico Authenticator
    you can raise the bar for security.

RepoType: git
Repo: https://github.com/Yubico/yubioath-flutter.git

Builds:
  - versionName: 0.0.4
    versionCode: 10
    commit: yubioath-0.0.4
    maven: 'yes'

  - versionName: 0.1.3
    versionCode: 14
    commit: yubioath-0.1.3
    maven: 'yes'

  - versionName: 0.1.4
    versionCode: 15
    commit: yubioath-0.1.4
    maven: 'yes'

  - versionName: 0.1.6
    versionCode: 17
    commit: yubioath-0.1.6
    maven: 'yes'

  - versionName: 0.1.7
    versionCode: 18
    commit: yubioath-0.1.7
    maven: 'yes'

  - versionName: 0.1.8
    versionCode: 19
    commit: yubioath-0.1.8
    maven: 'yes'

  - versionName: 0.1.9
    versionCode: 20
    commit: yubioath-0.1.9
    maven: 'yes'

  - versionName: 0.1.10
    versionCode: 21
    commit: yubioath-0.1.10
    maven: 'yes'

  - versionName: 0.1.11
    versionCode: 22
    commit: yubioath-0.1.11
    maven: 'yes'

  - versionName: 1.0.0
    versionCode: 23
    commit: yubioath-1.0.0
    maven: 'yes'

  - versionName: 1.0.1
    versionCode: 24
    commit: yubioath-1.0.1
    maven: 'yes'

  - versionName: 1.0.2
    versionCode: 25
    commit: yubioath-1.0.2
    maven: 'yes'

  - versionName: 1.0.3
    versionCode: 26
    commit: yubioath-1.0.3
    maven: 'yes'

  - versionName: 1.0.5
    versionCode: 28
    commit: yubioath-1.0.5
    subdir: app
    gradle:
      - yes

  - versionName: 1.1.0
    versionCode: 29
    commit: yubioath-1.1.0
    subdir: app
    gradle:
      - yes

  - versionName: 1.2.1
    versionCode: 34
    commit: yubioath-1.2.1
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.1
    versionCode: 20001
    commit: 2.0.1
    subdir: app
    gradle:
      - yes

  - versionName: 2.2.0
    versionCode: 20199
    commit: 2.2.0
    subdir: app
    gradle:
      - strict
    prebuild: sed -i -e '/com.google.android.gms/d' build.gradle

  - versionName: 6.0.1
    versionCode: 600041
    commit: 19d72f08539035a142d2118413f7819d87b1b19c
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@3.3.7
    rm:
      - linux
      - macos
      - test
      - windows
    prebuild: sed -i -e '/gms/d' android/{app/build.gradle,build.gradle}
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"

  - versionName: 6.0.1
    versionCode: 600042
    commit: 19d72f08539035a142d2118413f7819d87b1b19c
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@3.3.7
    rm:
      - linux
      - macos
      - test
      - windows
    prebuild: sed -i -e '/gms/d' android/{app/build.gradle,build.gradle}
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"

  - versionName: 6.0.1
    versionCode: 600044
    commit: 19d72f08539035a142d2118413f7819d87b1b19c
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@3.3.7
    rm:
      - linux
      - macos
      - test
      - windows
    prebuild: sed -i -e '/gms/d' android/{app/build.gradle,build.gradle}
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"

  - versionName: 6.0.2
    versionCode: 600061
    commit: 4eea53a02472df1bf72dd8a7c770fac0ee9792b8
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@3.3.7
    rm:
      - linux
      - macos
      - test
      - windows
    prebuild: sed -i -e '/gms/d' android/{app/build.gradle,build.gradle}
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"

  - versionName: 6.0.2
    versionCode: 600062
    commit: 4eea53a02472df1bf72dd8a7c770fac0ee9792b8
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@3.3.7
    rm:
      - linux
      - macos
      - test
      - windows
    prebuild: sed -i -e '/gms/d' android/{app/build.gradle,build.gradle}
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"

  - versionName: 6.0.2
    versionCode: 600064
    commit: 4eea53a02472df1bf72dd8a7c770fac0ee9792b8
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@3.3.7
    rm:
      - linux
      - macos
      - test
      - windows
    prebuild: sed -i -e '/gms/d' android/{app/build.gradle,build.gradle}
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"

  - versionName: 6.1.0
    versionCode: 601001
    commit: 5c0cb7e627c666e11a0067d9b86c6c2d6ba6d3af
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@3.3.7
    rm:
      - linux
      - macos
      - test
      - windows
    prebuild: sed -i -e '/gms/d' android/{app/build.gradle,build.gradle}
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"

  - versionName: 6.1.0
    versionCode: 601002
    commit: 5c0cb7e627c666e11a0067d9b86c6c2d6ba6d3af
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@3.3.7
    rm:
      - linux
      - macos
      - test
      - windows
    prebuild: sed -i -e '/gms/d' android/{app/build.gradle,build.gradle}
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"

  - versionName: 6.1.0
    versionCode: 601004
    commit: 5c0cb7e627c666e11a0067d9b86c6c2d6ba6d3af
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@3.3.7
    rm:
      - linux
      - macos
      - test
      - windows
    prebuild: sed -i -e '/gms/d' android/{app/build.gradle,build.gradle}
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"

  - versionName: 6.1.1
    versionCode: 601011
    commit: cc4eace015c75b77bc32a1da1a2dce293adea759
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@3.3.7
    rm:
      - linux
      - macos
      - test
      - windows
    prebuild: sed -i -e '/gms/d' android/{app/build.gradle,build.gradle}
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"

  - versionName: 6.1.1
    versionCode: 601012
    commit: cc4eace015c75b77bc32a1da1a2dce293adea759
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@3.3.7
    rm:
      - linux
      - macos
      - test
      - windows
    prebuild: sed -i -e '/gms/d' android/{app/build.gradle,build.gradle}
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"

  - versionName: 6.1.1
    versionCode: 601014
    commit: cc4eace015c75b77bc32a1da1a2dce293adea759
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@3.3.7
    rm:
      - linux
      - macos
      - test
      - windows
    prebuild: sed -i -e '/gms/d' android/{app/build.gradle,build.gradle}
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"

  - versionName: 6.2.0
    versionCode: 602001
    commit: 58a5ab6c7ce9909e0c9af39e89bdc04e34aa2f01
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@3.7.11
    rm:
      - linux
      - macos
      - test
      - windows
    prebuild: sed -i -e '/gms/d' android/{app/build.gradle,build.gradle}
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"

  - versionName: 6.2.0
    versionCode: 602002
    commit: 58a5ab6c7ce9909e0c9af39e89bdc04e34aa2f01
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@3.7.11
    rm:
      - linux
      - macos
      - test
      - windows
    prebuild: sed -i -e '/gms/d' android/{app/build.gradle,build.gradle}
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"

  - versionName: 6.2.0
    versionCode: 602004
    commit: 58a5ab6c7ce9909e0c9af39e89bdc04e34aa2f01
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@3.7.11
    rm:
      - linux
      - macos
      - test
      - windows
    prebuild: sed -i -e '/gms/d' android/{app/build.gradle,build.gradle}
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"

AutoUpdateMode: Version
UpdateCheckMode: Tags
VercodeOperation:
  - '%c * 10 + 1'
  - '%c * 10 + 2'
  - '%c * 10 + 4'
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 6.2.0
CurrentVersionCode: 602004
